> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Supplier Dossier

> A comprehensive overview of a supplier's information, including their capabilities, competitors and market landscape.

A Supplier Dossier is a detailed report that provides a comprehensive overview of a supplier's information as well as
the market landscape in which they operate.

It contains 3 main sections:

* **Company Profile**: Company details, corporate structure, SWOT analysis and more.
* **Latest**: Latest news, sentiment analysis, and summary of recent events.
* **Market Insights**: The Market landscape in which the supplier operates, including market size, Porter's Five Forces
  analysis, and more.

## Retrieving a Supplier Dossier

Typically, dossiers are viewed on our [Supplier Dossier platform](https://dossier.forestreet.com/), but you can also
retrieve them programmatically using our API in order to integrate them into your own applications:

<Steps>
  <Step title="List Dossiers">
    With the [`GET
        /v2/collections/{collectionId}/dossiers/`](/api-reference/endpoints/dossier/get-dossiers-in-collection)
    endpoint, you can retrieve a list of dossiers in a collection.

    <Accordion title="Listing dossiers by collection">
      <CodeGroup>
        ```sh Shell theme={null}
        curl -X GET '<host>/v2/collections/{collectionId}/dossiers/' \
        -H 'x-api-key: <api_token>'
        ```

        ```javascript Javascript Fetch theme={null}
        import { fetch } from "node-fetch";

        const response = await fetch("<host>/v2/collections/{collectionId}/dossiers/", {
          method: "GET",
          headers: {
            "x-api-key": "<api_token>",
          },
        });
        ```

        ```javascript Javascript Axios theme={null}
        import axios from "axios";

        const response = await axios.get("<host>/v2/collections/{collectionId}/dossiers/", {
          headers: {
            "x-api-key": "<api_token>",
          },
        });
        ```

        ```python Python Blocking theme={null}
        import requests
        response = requests.get('<host>/v2/collections/{collectionId}/dossiers/', headers={
            'x-api-key': '<api_token>'
        })
        ```

        ```python Python Async theme={null}
        import httpx
        async with httpx.AsyncClient() as client:
            response = await client.get('<host>/v2/collections/{collectionId}/dossiers/', headers={
                'x-api-key': '<api_token>'
            })
        ```
      </CodeGroup>

      The response will contain a list of dossiers, each with its ID and other metadata:

      <CodeGroup>
        ```json Dossier List Response theme={null}
        {
            "metadata": {
                "pagination": {
                    "totalItems": 1,
                    "totalPages": 1,
                    "currentPage": 1,
                    "pageSize": 10
                },
                "filters": {},
                "sort": [
                    {
                        "field": "createdAt",
                        "order": "desc"
                    }
                ]
            },
            "data": [
                {
                    "agentId": "06cc42ffec804a45bbe0389aab5beeda7a4ca0add2ab67cbe643203f803f3045",
                    "query": "SpaceX",
                    "agentType": "supplierDossier",
                    "createdBy": "02c6ce75-f2e1-4ce2-b3f7-29159d9ce9d9",
                    "createdAt": "2025-07-18T14:18:51.000Z",
                    "lastModifiedAt": null,
                    "lastTaskId": "c91d6d75-f553-453c-b101-13f47f681cf1",
                    "lastTaskStatus": {
                        "taskId": "c91d6d75-f553-453c-b101-13f47f681cf1",
                        "createdAt": "2025-07-18T14:18:51.000Z",
                        "success": true,
                        "status": "COMPLETED",
                        "lastReportedAt": "2025-07-18T14:37:34.000Z",
                        "lastReportedBy": "python-llm-agent-deployment-dev-86c9664c49-x5s6h"
                    }
                }
            ]
        }
        ```
      </CodeGroup>
    </Accordion>
  </Step>

  <Step title="Check status of a dossier">
    Since the dossiers takes some time to generate, you may want to check that the dossier is ready before displaying it to the user.

    You can do this by checking the `lastTaskStatus` field in the dossier response. If the status is `COMPLETED`, then the
    dossier is ready to be viewed.
  </Step>

  <Step title="Displaying the dossier" icon="file">
    You can either

    * display the dossier with your own UI component using the raw data, or
    * embed our pre-built UI components in an iFrame.

    <Tabs>
      <Tab title="Retrieve the dossier by ID" icon="file">
        You can retrieve a dossier using the
        [`GET /v2/collections/{collectionId}/dossiers/{agentId}`](/api-reference/endpoints/dossier/get-a-dossier) endpoint:

        <Accordion title="Retrieving a dossier by ID" defaultOpen>
          The `agentId` is the unique identifier for the dossier, which you can get from the list of dossiers.

          Each dossier data structure has the field `agentId` which can be used below.

          <CodeGroup>
            ```sh Shell theme={null}
            curl -X GET '<host>/v2/collections/{collectionId}/dossier/{agentId}' \
            -H 'x-api-key: <api_token>'
            ```

            ```javascript Javascript Fetch theme={null}
            import { fetch } from 'node-fetch';
            const response = await fetch('<host>/v2/collections/{collectionId}/dossier/{agentId}', {
                method: 'GET',
                headers: {
                    'x-api-key': '<api_token>'
                }
            });
            ```

            ```javascript Javascript Axios theme={null}
            import axios from 'axios';
            const response = await axios.get('<host>/v2/collections/{collectionId}/dossier/{agentId}', {
                headers: {
                    'x-api-key': '<api_token>'
                }
            });
            ```

            ```python Python Blocking theme={null}
            import requests
            response = requests.get('<host>/v2/collections/{collectionId}/dossier/{agentId}', headers={
                'x-api-key': '<api_token>'
            })
            ```

            ```python Python Async theme={null}
            import httpx
            async with httpx.AsyncClient() as client:
                response = await client.get('<host>/v2/collections/{collectionId}/dossier/{agentId}', headers={
                    'x-api-key': '<api_token>'
                })
            ```
          </CodeGroup>

          <Tip>
            See [the dossier endpoint](/api-reference/endpoints/dossier/get-a-dossier) for more details on the dossier structure.
          </Tip>
        </Accordion>
      </Tab>

      <Tab title="Embed our UI components" icon="file">
        You can embed our pre-built UI components in an iFrame by using [Session ID](/api-reference/authentication). For details,
        see the [iFrame integration guide](/api-reference/guides/iframe-integration).

        <CodeGroup>
          ```html iFrame theme={null}
          <iframe
              src="https://dossier-staging.forestreet.com/teams/{teamId}/collections/{collectionId}/dossier/{agentId}?sessionId={sessionId}"
              width="100%"
              height="600px"
              frameborder="0"
          ></iframe>
          ```
        </CodeGroup>
      </Tab>
    </Tabs>
  </Step>
</Steps>
